package vip.xiaonuo.production.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.production.entity.ProductionCheck;
import vip.xiaonuo.production.param.ProductionCheckParam;
import vip.xiaonuo.production.service.IProductionCheckService;
import vip.xiaonuo.quality.entity.QualityEffectice;
import vip.xiaonuo.quality.param.QualityEffectiveParam;

/**
 * <p>
 * 生成管控产品检测 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-12
 */
@RestController
@Api(tags = "生成管控产品检测")
@ApiSupport(author = "wang", order = 1)
@Validated
public class ProductionCheckController {

    @Autowired
    private IProductionCheckService checkService;

    @PostMapping("/production-check/getList")
    @ApiOperationSupport(order = 1)
    @ApiOperation("生成管控产品检测列表")
    public CommonResult<Page<ProductionCheck>> getList(@RequestBody ProductionCheckParam checkParam) {
        return CommonResult.data(checkService.getList(checkParam));
    }
}
