package vip.xiaonuo.production.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 生产收率填报
 * </p>
 *
 * @author author
 * @since 2025-03-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("production_write_rate")
public class ProductionWriteRate implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 生产收率
     */
    @ApiModelProperty(value = "生产收率",position = 1)
    private String productionRate;

    /**
     * 产品名称
     */
    @ApiModelProperty(value = "产品名称",position =2 )
    private String productionName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",position =3 )
    @JsonFormat(pattern = "yyyy-MM", timezone = "GMT+8")
    private Date createTime;

    /**
     * 车间名称
     */
    @ApiModelProperty(value = "车间名称",position = 4)
    private String locationName;

    /**
     * 车间id
     */
    @ApiModelProperty(value = "车间id",position =5 )
    private String locationId;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position = 6)
    private String orgId;

    /**
     * 公司名称
     */
    @ApiModelProperty(value = "公司名称",position = 7)
    private String orgName;


}
