/*
 * Copyright [2022] [https://www.baiduc.com]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.baiduc.com
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.baiduc.com
 */
package vip.xiaonuo.production.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 生产管控单耗编辑参数
 *
 * @author 1
 * @date  2025/03/04 09:17
 **/
@Getter
@Setter
public class ProductionConsumeEditParam {

    /** ID */
    @ApiModelProperty(value = "ID", required = true, position = 1)
    @NotNull(message = "id不能为空")
    private Integer id;

    /** 物料产品 */
    @ApiModelProperty(value = "物料产品", position = 2)
    private String material;

    /** 数量 */
    @ApiModelProperty(value = "数量", position = 3)
    private String weight;

    /** 单耗 */
    @ApiModelProperty(value = "单耗", position = 4)
    private String consume;

    /** 单价 */
    @ApiModelProperty(value = "单价", position = 5)
    private String price;

    /** 单位收率 */
    @ApiModelProperty(value = "单位收率", position = 6)
    private String rate;

    /** 比例 */
    @ApiModelProperty(value = "比例", position = 7)
    private String rank;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 9)
    private String orgId;

    /** 车间名称 */
    @ApiModelProperty(value = "车间名称", position = 10)
    private String locationName;

}
