package vip.xiaonuo.quality.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 质量管控物料有效期
 * </p>
 *
 * @author author
 * @since 2024-12-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("quality_effectice")
public class QualityEffectice implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 物料名称
     */
    @ApiModelProperty(value = "物料名称",position =1 )
    private String material;

    /**
     * 入库日期
     */
    @ApiModelProperty(value = "入库日期",position =2 )
    private LocalDateTime incomeTime;

    /**
     * 有效日期
     */
    @ApiModelProperty(value = "有效日期", position = 3)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date effectiveTime;

    /**
     * 剩余天数
     */
    @ApiModelProperty(value = "剩余天数",position =4 )
    private String surplusDay;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",position = 5)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone ="GMT+8")
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position =6 )
    private String orgId;


}
