package vip.xiaonuo.quality.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 质量试剂仓库
 * </p>
 *
 * @author author
 * @since 2025-03-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("quality_reagent_stock")
public class QualityReagentStock implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 试剂名称
     */
    @ApiModelProperty(value = "试剂名称",position = 1)
    private String reagent;

    /**
     * 库存量
     */
    @ApiModelProperty(value = "库存量",position =2 )
    private Integer stock;


    @ApiModelProperty(value = "组织id",position =3 )
    private String orgId;


    @ApiModelProperty(value = "组织名称",position = 4)
    private String orgName;


    @ApiModelProperty(value = "最新入库时间", position = 5)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date inTime;


    @ApiModelProperty(value = "最新出库时间",position = 6)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date outTime;
    private String fnumber;
    private String fspecification;

}
