package vip.xiaonuo.warehouse.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 仓库原材料库存
 * </p>
 *
 * @author author
 * @since 2025-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("warehouse_material_stock")
public class WarehouseMaterialStock implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 原材料id
     */
    @ApiModelProperty(value = "物料分类0原材料 1成品半成品 2低值易耗  3包材",position = 1)
    private String materialType;

    /**
     * 原材料名称
     */
    @ApiModelProperty(value = "原材料名称",position = 2)
    private String material;

    /**
     * 原材料库存
     */
    @ApiModelProperty(value = "原材料库存",position = 3)
    private String materialStock;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间",position =4 )
    private Date createTime;

    /**
     * 公司id
     */
    @ApiModelProperty(value = "公司id",position = 5)
    private String orgId;

    /**
     * 公司名称
     */
    @ApiModelProperty(value = "公司名称",position = 6)
    private String orgName;
    @ApiModelProperty(value = "物料编码", position = 5)
    private String fnumber;

}
